%global __brp_check_rpaths %{nil}
%global packname  PICBayes
%global packver   1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Bayesian Models for Partly Interval-Censored Data

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-coda 
BuildRequires:    R-CRAN-MCMCpack 
BuildRequires:    R-CRAN-survival 
Requires:         R-CRAN-coda 
Requires:         R-CRAN-MCMCpack 
Requires:         R-CRAN-survival 

%description
Contains functions to fit proportional hazards (PH) model to partly
interval-censored (PIC) data (Pan et al. (2020)
<doi:10.1177/0962280220921552>), PH model with spatial frailty to
spatially dependent PIC data (Pan and Cai (2021)
<doi:10.1080/03610918.2020.1839497>), and mixed effects PH model to
clustered PIC data. Each random intercept/random effect can follow both a
normal prior and a Dirichlet process mixture prior. It also includes the
corresponding functions for general interval-censored data.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
